Subject: Re: bug#22689: [PATCH] Add logcount

From: Mark Oteiza <[email-masked]>
Date: Sat, 30 Sep 2017 19:22:33 -0400

On 30/09/17 at 03:48pm, Paul Eggert wrote:
> I looked at this patch after it landed in 'master'. Thanks for contributing it.
> 
> A couple of minor improvements. First, the implementation of logcount can
> use the count_one_bits functions already used by Emacs, rather than
> reinventing that wheel; these functions should be just as fast as
> __builtin_popcount etc. when using GCC. Second, logcount should count zero
> bits in negative numbers, for compatibility with Common Lisp. I installed
> the attached two patches to implement these improvements.

Thank you for the improvements--I was not aware of count-one-bits.h but
am pleasantly surprised.